import request from '@/utils/request'

// 任务类型列表
export function apiTaskTypeLists(params: any) {
    return request.get({ url: '/task.task_type/lists', params })
}

// 添加任务类型
export function apiTaskTypeAdd(params: any) {
    return request.post({ url: '/task.task_type/add', params })
}

// 编辑任务类型
export function apiTaskTypeEdit(params: any) {
    return request.post({ url: '/task.task_type/edit', params })
}

// 删除任务类型
export function apiTaskTypeDelete(params: any) {
    return request.post({ url: '/task.task_type/delete', params })
}

// 任务类型详情
export function apiTaskTypeDetail(params: any) {
    return request.get({ url: '/task.task_type/detail', params })
}